|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
public interface ShareService
Shares entities such as issues, saved searches or unsaved searches via e-mail.
| Nested Class Summary | |
|---|---|
static class |
ShareService.ValidateShareIssueResult
|
static class |
ShareService.ValidateShareResult
|
static class |
ShareService.ValidateShareSearchRequestResult
|
| Method Summary | |
|---|---|
void |
shareIssue(ShareService.ValidateShareIssueResult result)
Given a valid ValidateShareIssueResult this method will send an e-mail to the users and fire a ShareIssueEvent |
void |
shareSearchRequest(ShareService.ValidateShareSearchRequestResult result)
Given a valid ValidateShareIssueResult this method will send an e-mail to the users and fire a ShareJqlEvent or ShareSearchRequestEvent
depending on if a saved filter was passed to the validate method. |
ShareService.ValidateShareIssueResult |
validateShareIssue(com.atlassian.crowd.embedded.api.User remoteUser,
ShareBean shareBean,
Issue issue)
Confirms that the shareBean param contains either usernames or e-mails and also validates that the user performing this operation has the permission to view other users in this JIRA instance. |
ShareService.ValidateShareSearchRequestResult |
validateShareSearchRequest(com.atlassian.crowd.embedded.api.User remoteUser,
ShareBean shareBean,
SearchRequest searchRequest)
Confirms that the shareRequest param contains either usernames or e-mails and also validates that the user performing this operation has the permission to view other users in this JIRA instance. |
| Method Detail |
|---|
ShareService.ValidateShareIssueResult validateShareIssue(com.atlassian.crowd.embedded.api.User remoteUser,
ShareBean shareBean,
Issue issue)
remoteUser - The user performing the share operationshareBean - Bean containing information about who to share withissue - The issue being shared
void shareIssue(ShareService.ValidateShareIssueResult result)
ShareIssueEvent
result - a valid validateShareIssueResult.
ShareService.ValidateShareSearchRequestResult validateShareSearchRequest(com.atlassian.crowd.embedded.api.User remoteUser,
ShareBean shareBean,
SearchRequest searchRequest)
remoteUser - The user performing the share operationshareBean - Bean containing information about who to share withsearchRequest - A saved filter being shared or null if a unsaved JQL search is being shared
void shareSearchRequest(ShareService.ValidateShareSearchRequestResult result)
ShareJqlEvent or ShareSearchRequestEvent
depending on if a saved filter was passed to the validate method.
result - a valid validateShareIssueResult.
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||